{ lib, ... }:
with lib;
{
  options.nas-apps.crowdsec = {
    enable = mkEnableOption "crowdsec service";

    port = mkOption {
      type = types.int;
      default = 9898;
    };

    apiAddress = mkOption {
      type = types.str;
      default = "127.0.0.1";
    };

    apiKey = mkOption {
      type = types.str;
      default = "";
    };

    dataDir = mkOption {
      type = types.str;
      default = "";
    };
  };
}
